import { Ani } from "../class/Ani";
import { RecoverName } from "../enum/RecoverName";
import { RES } from "../../../module/RES";



export class StepAni extends Ani {
    /**
     * 图片
     */
    showImage: FYGE.FrameAni;
    constructor() {
        super();
        this.aniName = RecoverName.STEP_ANI//"StepAni";
        var arr = []
        for (var i = 1; i <= 11; i++) {
            arr.push(RES.getRes("stepAni" + i + ".png"));
        }
        this.showImage = new FYGE.FrameAni(arr);
        this.addChild(this.showImage)
    }

    play() {
        //重置图片
        this.showImage.reset(0);
        this.showImage.play(1, () => {
            this.recover();
        })
    }
} 